Subject: [Isms] RE: please consider reviewing draft-ietf-isms-tmsm-05.txt

From: "David Levi" <[email-masked]>
Date: Tue, 9 Jan 2007 13:29:39 -0600

Juergen,

I've read through the document, it looks pretty good.  I've not been
keeping track of the isms wg recently, but I think you've arrived at a
good approach.

-Dave

-----Original Message-----
From: Juergen Schoenwaelder [mailto:[email-masked]] 
Sent: Thursday, January 04, 2007 2:58 AM
To: Levi, David (SC100:323)
Cc: Juergen Quittek
Subject: please consider reviewing draft-ietf-isms-tmsm-05.txt

Hi,

the ISMS working group is currently doing a last call on
<draft-ietf-isms-tmsm-05.txt>. The abstract says:

   This document describes a Transport Subsystem, extending the Simple
   Network Management Protocol (SNMP) architecture defined in RFC 3411.
   This document describes a subsystem to contain transport models,
   comparable to other subsystems in the RFC3411 architecture.  As work
   is being done to expand the transport to include secure transport
   such as SSH and TLS, using a subsystem will enable consistent design
   and modularity of such transport models.  This document identifies
   and discusses some key aspects that need to be considered for any
   transport model for SNMP.

It would be very helpful if you can review the document. Please send
your comments or an indication that you reviewed the document without
specific comments to the ISMS working group. It would be nice to have
feedback by early next week (original last call deadline was set to
January 8th).

/js

-- 
Juergen Schoenwaelder		 {International|Jacobs} University
Bremen
<http://www.eecs.iu-bremen.de/>	 P.O. Box 750 561, 28725 Bremen, Germany

_______________________________________________
Isms mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isms

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Wed, 10 Jan 2007 19:52:13 +0100

On Mon, Jan 08, 2007 at 05:23:06PM -0500, Jeff Case wrote:

Jeff,

first of all, thanks for taking the time to review the document. My
comments to your comments are inline...

> two major comments worthy of mention
> 
> 1.  a project funded by a portion of the US government has
>     been working for over a year on a project with goals
>     that are somewhat similar to those of your efforts and i
>     think it is possible that you and they are not aware of
>     one another
> 
>     i would almost certainly get myself in trouble if i were
>     to take the liberty of identifying them to you but unless
>     you object (which i can't imagine), i will take the liberty
>     of bringing your work to their attention and they can
>     identify themselves and jump in and participate if they wish
>     to [and are free to do so] ... if they are able to do so,
>     i think you two sets of folks would both benefit from talking
>     to each other and i want to encourage that
> 
>     the above referenced project has been in the implementation
>     and evaluation phase for some time now, and as such, its
>     maturity may provide some valuable lessons learned to be
>     incorporated into the current draft (and i think their work
>     could benefit from the strong architectural underpinnings
>     found in your draft

Please point "the project" to the ISMS WG and our documents. Comments
should be sent to the WG mailing list.

> 2.  i mention this because the experience with the project
>     causes me to question one of the draft's fundamental
>     tenets -- that you can do what you want to do without being
>     forced to compromise anything in arch, v3mp, and/or usm
> 
>     in particular, while your design probably works flawlessly for
>     gets and sets, and might work for traps as well, it would
>     be helpful if you could explain to me how informs work in
>     a way that is consistent with the above specs
>     (yes, i read and reread page 15 several times including the
>     waffle words found therein but maybe i am just dense and/or
>     missed something somewhere else)

As technical contributor, I do not really see problems with informs;
for me informs are not harder than traps. It would help me (and likely
the whole WG) if you can elaborate where you see problems, that is
where the transport subsystem compromises arch, v3mp, and/or usm.

/js

-- 
Juergen Schoenwaelder		 {International|Jacobs} University Bremen
<http://www.eecs.iu-bremen.de/>	 P.O. Box 750 561, 28725 Bremen, Germany